Subject: Re: bug#25683: semi-working patch

From: Dmitry Gutov <[email-masked]>
Date: Wed, 15 Feb 2017 02:07:43 +0200

On 14.02.2017 23:05, Tom Tromey wrote:

> I had looked at this a bit but I didn't see how get the permissions info
> out of git status --porcelain;

Good objection, and I don't know (this info might be in the porcelain=v2 
format, but it was only added in Git 2.12 last year).

If we could fetch that data using just one extra call, that would be 
great, though.

> and then I found the bug you refer to and
> it seemed like it was being dealt with by someone else already;

Someone else is yours truly, so not sure when that happens.

> and/or
> maybe waiting until --porcelain was considered "old enough"?

No, --porcelain is old enough, aside from the problem you mentioned. We 
discussed the --ignored flag which still is "too new", but that's a 
minor problem, only tangentially related.

Anyway, thanks for the fix! --porcelain can wait some more.